Skip to content
Start here

Update Access application settings

zero_trust.access.applications.settings.update(AppIDapp_id, SettingUpdateParams**kwargs) -> SettingUpdateResponse
PUT/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/settings

Updates Access application settings.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Apps and Policies Write
ParametersExpand Collapse
app_id: AppID

Identifier.

maxLength32
account_id: Optional[str]

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id: Optional[str]

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

allow_iframe: Optional[bool]

Enables loading application content in an iFrame.

skip_interstitial: Optional[bool]

Enables automatic authentication through cloudflared.

ReturnsExpand Collapse
class SettingUpdateResponse:
allow_iframe: Optional[bool]

Enables loading application content in an iFrame.

skip_interstitial: Optional[bool]

Enables automatic authentication through cloudflared.

Update Access application settings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
setting = client.zero_trust.access.applications.settings.update(
    app_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="account_id",
)
print(setting.allow_iframe)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_iframe": true,
    "skip_interstitial": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_iframe": true,
    "skip_interstitial": true
  }
}